package com.goafanti.common.model;

import java.util.Date;

public class AchievementOrder {
    private String id;

    /**
    * 编号
    */
    private Integer serialNumber;

    /**
    * 科技成果ID
    */
    private String achievementId;

    /**
    * 购买科技成果人ID
    */
    private String uid;

    /**
    * 购买时间
    */
    private Date createTime;

    /**
    * (0, "未支付"),(1, "已支付"),(2, "支付中"),(3, "完成"),(9, "取消"),(10, "无效")
    */
    private Integer status;

    /**
    * 实际支付金额
    */
    private Double paymentValue;

    /**
    * 支付方式
    */
    private String paymentType;

    /**
    * 支付流水号
    */
    private String paymentId;

    /**
    * 支付时间
    */
    private Date paymentTime;

    /**
    * 是否退款(0--未退款,1--已退款)
    */
    private Integer refund;

    /**
    * 删除标记(0--未删除,1--已删除)
    */
    private Integer deletedSign;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Integer getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(Integer serialNumber) {
        this.serialNumber = serialNumber;
    }

    public String getAchievementId() {
        return achievementId;
    }

    public void setAchievementId(String achievementId) {
        this.achievementId = achievementId;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Double getPaymentValue() {
        return paymentValue;
    }

    public void setPaymentValue(Double paymentValue) {
        this.paymentValue = paymentValue;
    }

    public String getPaymentType() {
        return paymentType;
    }

    public void setPaymentType(String paymentType) {
        this.paymentType = paymentType;
    }

    public String getPaymentId() {
        return paymentId;
    }

    public void setPaymentId(String paymentId) {
        this.paymentId = paymentId;
    }

    public Date getPaymentTime() {
        return paymentTime;
    }

    public void setPaymentTime(Date paymentTime) {
        this.paymentTime = paymentTime;
    }

    public Integer getRefund() {
        return refund;
    }

    public void setRefund(Integer refund) {
        this.refund = refund;
    }

    public Integer getDeletedSign() {
        return deletedSign;
    }

    public void setDeletedSign(Integer deletedSign) {
        this.deletedSign = deletedSign;
    }
}